Subject: Re: [Bitcoin-development] [softfork proposal] Strict DER signatures

From: Pieter Wuille <[email-masked]>
Date: Tue, 3 Feb 2015 10:15:18 -0800

On Tue, Feb 3, 2015 at 4:00 AM, Wladimir <[email-masked]> wrote:
>> One way to do that is to just - right now - add a patch to 0.10 to
>> make those non-standard. This requires another validation flag, with a
>> bunch of switching logic.
>>
>> The much simpler alternative is just adding this to BIP66's DERSIG
>> right now, which is a one-line change that's obviously softforking. Is
>> anyone opposed to doing so at this stage?
>
> Not opposed, but is kind of late for 0.10, I had hoped to tag rc4 today.

I understand it's late, which is also why I ask for opinions. It's
also not a priority, but if we release 0.10 without, it will first
need a cycle of making this non-standard, and then in a further
release doing a second softfork to enforce it.

It's a 2-line change; see #5743.

-- 
Pieter